Update Counter
Update Counter for the given UUID.
Authorizations
m3ter supports machine to machine authentication using the clientCredentials OAuth2 flow.
The authorizationCode flow controls access for human users via the m3ter Console application.
Path Parameters
UUID of the Organization. The Organization represents your company as a direct customer of m3ter.
The UUID of the Counter to update.
Body
Descriptive name for the Counter.
1 - 200User defined label for units shown on Bill line items, and indicating to your customers what they are being charged for.
1The version number of the entity:
- Create entity: Not valid for initial insertion of new entity - do not use for Create. On initial Create, version is set at 1 and listed in the response.
- Update Entity: On Update, version is required and must match the existing version because a check is performed to ensure sequential versioning is preserved. Version is incremented by 1 and listed in the response.
Code for the Counter. A unique short code to identify the Counter.
80^([^[\p{Cntrl}\s]])|([^[\p{Cntrl}\s]][[^[\p{Cntrl}\s]] ]*[^[\p{Cntrl}\s]])$UUID of the product the Counter belongs to. (Optional) - if left blank, the Counter is Global. A Global Counter can be used to price Plans or Plan Templates belonging to any Product.
36Response
Return the updated Counter
The UUID of the entity.
The version number:
- Create: On initial Create to insert a new entity, the version is set at 1 in the response.
- Update: On successful Update, the version is incremented by 1 in the response.
The DateTime when this item was created (in ISO-8601 format).
The DateTime when this item was last modified (in ISO-8601 format).
The ID of the user who created this item.
The ID of the user who last modified this item.
Code of the Counter. A unique short code to identify the Counter.
UUID of the product the Counter belongs to. (Optional) - if no productId is returned, the Counter is Global. A Global Counter can be used to price Plans or Plan Templates belonging to any Product.
Name of the Counter.
Label for units shown on Bill line items, and indicating to customers what they are being charged for.